<xml> </xml>

db4o |

# Configuration.blockSize Method

sets the storage data blocksize for new ObjectContainers.

void blockSize(
int bytes
);

#### Parameters

bytes
  the size in bytes from 1 to 127

#### Remarks

sets the storage data blocksize for new ObjectContainers.
The standard setting is 1 allowing for a maximum database file size of 2GB. This value can be increased to allow larger database files, although some space will be lost to padding because the size of some stored objects will not be an exact multiple of the block size. A recommended setting for large database files is 8, since internal pointers have this length.

#### See Also

Configuration Interface | com.db4o.config Namespace